Bug 53956 - pppd adsl ppp session retained after exit
pppd adsl ppp session retained after exit
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-09-24 07:15 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-13 05:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-24 07:15:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
When using pppd with the pty option it is seen that the ppp session is NOT 
terminated on the host machine. This has been tested and verified using 
the benoit ADSL driver with the pppoa2 plugins and pppd 2.4.0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. pppd call adsl (adsl is a peers file)
2. <connection made>
3. killall pppd

Actual Results:  1. Connects to the host machine correctly and establishes 
ppp session
2. Once killed does not send a <TERMREQ> to the host machine.

Expected Results:  When a term  signal is sent to pppd it should send a 
<TERMREQ> to the host prior to exiting. It closes the connector BEFORE 
issuing the <TERMREQ>

Additional info:

I have patched main.c;

static void
    int sig;
    info("Terminating on signal %d.", sig);
    persist = 0;                /* don't try to restart */
    kill_link = 1;
    status = EXIT_USER_REQUEST;

    // Send the term request now before the connector processes get killed

    lcp_close(0, "User request");

    if (conn_running)
        /* Send the signal to the [dis]connector process(es) also */
    notify(sigreceived, sig);
    if (waiting)
        siglongjmp(sigjmp, 1);

- not the most elegant but did fix the problem, the host debug on ppp 
showed the <TERMREQ> coming in and the session being cleaned up correctly.
Comment 1 Thomas Woerner 2004-08-13 05:30:21 EDT
Please verify this with a newer version of Red Hat Enterprise Linux or Fedora
Core and reopen it against the new version if it still occurs.

Closing as "not a bug" for now.

Note You need to log in before you can comment on or make changes to this bug.